@extends("layouts.app")

@section("content")
<h1>Панель управления публикациями</h1>
<p>Здесь представлены все публикации в базе данных.</p>
<p><a href="/article/add">Добавить публикацию</a></p>

<h3>Черновики</h3>
<table>
	<tr>
		<th>Название</th>
		<th>Изменено</th>
	</tr>
	@if (!$drafts)
		<tr>
			<td colspan=2 class="td-empty">Пусто</td>
		</tr>
	@else
	@foreach ($drafts as $row)
		<tr>
			<td><a href="/article/{{$row->id}}">{{$row->title}}</a></td>
			<td>{{$row->updated_at}}</td>
		</tr>
	@endforeach
	@endif
</table>
<br>

<h3>Ждут публикации</h3>
<table>
	<tr>
		<th>Название</th>
		<th>Изменено</th>
		<th>Опубликовать в</th>
	</tr>
	@if (!$pending)
		<tr>
			<td colspan=3 class="td-empty">Пусто</td>
		</tr>
	@else
	@foreach ($pending as $row)
		<tr>
			<td><a href="/article/{{$row->id}}">{{$row->title}}</a></td>
			<td>{{$row->updated_at}}</td>
			<td>{{$row->publish_at}}</td>
		</tr>
	@endforeach
	@endif
</table>
<br>

<h3>Опубликованы</h3>
<table>
	<tr>
		<th>Название</th>
		<th>Изменено</th>
		<th>Опубликовано</th>
	</tr>
	@if (!$published)
		<tr>
			<td colspan=3 class="td-empty">Пусто</td>
		</tr>
	@else
	@foreach ($published as $row)
		<tr>
			<td><a href="/article/{{$row->id}}">{{$row->title}}</a></td>
			<td>{{$row->updated_at}}</td>
			<td>{{$row->publish_at}}</td>
		</tr>
	@endforeach
	@endif
</table>
<br>

<h3>Архив</h3>
<table>
	<tr>
		<th>Название</th>
		<th>Изменено</th>
		<th>Снято с публикации</th>
	</tr>
	@if (!$archive)
		<tr>
			<td colspan=3 class="td-empty">Пусто</td>
		</tr>
	@else
	@foreach ($archive as $row)
		<tr>
			<td><a href="/article/{{$row->id}}">{{$row->title}}</a></td>
			<td>{{$row->updated_at}}</td>
			<td>{{$row->unpublish_at}}</td>
		</tr>
	@endforeach
	@endif
</table>
<br>

@endsection
